package com.xxfc.discovery.fragment;

import android.os.Bundle;
import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseFragment;
import com.xxfc.discovery.R;
import com.xxfc.discovery.presenter.DiscoveryPresenter;

/**
 * 问答
 */
public class QuestionAndAnswerFragment extends BaseFragment<DiscoveryPresenter> {

    public static QuestionAndAnswerFragment getInstance(int type) {
        Bundle bundl = new Bundle();
        bundl.putInt("type", type);
        QuestionAndAnswerFragment fragment = new QuestionAndAnswerFragment();
        fragment.setArguments(bundl);
        return fragment;
    }

    @Override
    public int getViewLayout() {
        return R.layout.fragment_question_and_answer;
    }

    @Override
    protected void initView(Bundle savedInstanceState) {

    }

    @Override
    protected void loadData(Bundle savedInstanceState) {

    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }
}
